summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRaindropsSys <contact@minteck.org>2023-07-16 11:52:43 +0200
committerRaindropsSys <contact@minteck.org>2023-07-16 11:52:43 +0200
commit995260fce1fa996be75255f298291de3efcbadfe (patch)
treeb701acc6bad9c747c10ccc1f86a70ab6d9721658
parentf1ddaac73a0e28eee3d58b65346c2947a9ed7acd (diff)
downloadsignal.js-995260fce1fa996be75255f298291de3efcbadfe.tar.gz
signal.js-995260fce1fa996be75255f298291de3efcbadfe.tar.bz2
signal.js-995260fce1fa996be75255f298291de3efcbadfe.zip
Update
-rwxr-xr-x.hooks/hooks/post-checkout3
-rwxr-xr-x.hooks/hooks/post-commit6
-rwxr-xr-x.hooks/hooks/post-merge3
-rwxr-xr-x.hooks/hooks/pre-commit3
-rwxr-xr-x.hooks/hooks/pre-push3
5 files changed, 16 insertions, 2 deletions
diff --git a/.hooks/hooks/post-checkout b/.hooks/hooks/post-checkout
new file mode 100755
index 0000000..c37815e
--- /dev/null
+++ b/.hooks/hooks/post-checkout
@@ -0,0 +1,3 @@
+#!/bin/sh
+command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting '.git/hooks/post-checkout'.\n"; exit 2; }
+git lfs post-checkout "$@"
diff --git a/.hooks/hooks/post-commit b/.hooks/hooks/post-commit
index 330cdbd..af23188 100755
--- a/.hooks/hooks/post-commit
+++ b/.hooks/hooks/post-commit
@@ -1,2 +1,6 @@
-#!/bin/bash
+#!/bin/sh
+command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting '.git/hooks/post-commit'.\n"; exit 2; }
+git lfs post-commit "$@"
+cd src
node build.js
+cd ..
diff --git a/.hooks/hooks/post-merge b/.hooks/hooks/post-merge
new file mode 100755
index 0000000..c99b752
--- /dev/null
+++ b/.hooks/hooks/post-merge
@@ -0,0 +1,3 @@
+#!/bin/sh
+command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting '.git/hooks/post-merge'.\n"; exit 2; }
+git lfs post-merge "$@"
diff --git a/.hooks/hooks/pre-commit b/.hooks/hooks/pre-commit
index 7b64d1e..09a76ae 100755
--- a/.hooks/hooks/pre-commit
+++ b/.hooks/hooks/pre-commit
@@ -5,5 +5,6 @@ node build.js
git add -A
git commit -m "Update"
git push origin mane
-cd ..
+cd ../src
node indexgen.js
+cd ..
diff --git a/.hooks/hooks/pre-push b/.hooks/hooks/pre-push
new file mode 100755
index 0000000..216e915
--- /dev/null
+++ b/.hooks/hooks/pre-push
@@ -0,0 +1,3 @@
+#!/bin/sh
+command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting '.git/hooks/pre-push'.\n"; exit 2; }
+git lfs pre-push "$@"